## NAME

i.ifft - Inverse Fast Fourier Transform (ifft) for image processing.
(GRASS Image Processing Program)

## SYNOPSIS

i.ifft
i.ifft help
i.ifft real_image=name imaginary_image=name output_image=name

## DESCRIPTION

i.ifft is an image processing program based on the algorithm given by Frigo et al. (1998), that converts real and imaginary frequency space images (produced by i.fft) into a normal image.

## OPTIONS

### Parameters:

real_image=name
  Input raster map layer for inversion fast Fourier transform, real part.
imaginary_image=name
  Input raster map layer for inversion fast Fourier transform, imaginary.
output_image=name
  Output inversion raster map layer after fast Fourier transformation.

## NOTES

The current mask is respected when reading the real and imaginary component files; thus, r.mask become a primary program for selecting the portion of the frequency space data to be included in the inverse transform. The GRASS program r.digit can be used to create masks while viewing the real or imaginary component image. Alternatively r.circle can be used to generate high-, low- and donut filters specifying the DC point as circle/ring center. When i.ifft is executed, it (automatically) uses the same GRASS region definition setting that was used during the original transformation done with i.fft.

The real and imaginary components are read from arrays of doubles in the cell_misc directory (produced by the forward transform program, i.fft), and the reconstructed image will preserve the cell value scaling of the original image processed by i.fft. No color table is assigned to the output map; one should be created before viewing the output_image.

## SEE ALSO

M. Frigo and S. G. Johnson (1998): "FFTW: An Adaptive Software Architecture for the FFT". See www.FFTW.org: FFTW is a C subroutine library for computing the Discrete Fourier Transform (DFT) in one or more dimensions, of both real and complex data, and of arbitrary input size.

Remote Sensing Digital Image Analysis, by John A. Richards, Springer-Verlag, 1986.

Personal communication, between program author and Ali R. Vali, Space Research Center, University of Texas, Austin, 1990.

i.cca, i.class, i.fft, i.pca, r.circle

## AUTHOR

David Satnik, GIS Laboratory, Central Washington University

Last changed: $Date: 2002/01/25 05:45:33 $